- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# infini_host – Create, Delete and Modify Hosts on Infinibox

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module creates, deletes or modifies hosts on Infinibox.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- infinisdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Host Name
password string |  | Infinibox User password.
state - | Choices: present ← absent | Creates/Modifies Host when present or removes when absent
system string / required |  | Infinibox Hostname or IPv4 Address.
user - |  | Infinibox User username with sufficient priveledges ( see notes ).
volume - |  | Volume name to map to the host
wwns - |  | List of wwns of the host

## Notes

Note

- This module requires infinisdk python library

- You must set INFINIBOX_USER and INFINIBOX_PASSWORD environment variables if user and password arguments are not passed to the module directly

- Ansible uses the infinisdk configuration file `~/.infinidat/infinisdk.ini` if no credentials are provided. See http://infinisdk.readthedocs.io/en/latest/getting_started.html

## Examples

    - name: Create new new host
      infini_host:
        name: foo.example.com
        user: admin
        password: secret
        system: ibox001

    - name: Make sure host bar is available with wwn ports
      infini_host:
        name: bar.example.com
        wwns:
          - "00:00:00:00:00:00:00"
          - "11:11:11:11:11:11:11"
        system: ibox01
        user: admin
        password: secret

    - name: Map host foo.example.com to volume bar
      infini_host:
        name: foo.example.com
        volume: bar
        system: ibox01
        user: admin
        password: secret

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Gregory Shulov (@GR360RY)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.